WordPress.org

Ready to get started?Download WordPress

Forums

Since 2.8 no theme editing (11 posts)

  1. justmck
    Member
    Posted 5 years ago #

    Hi, since yesterday's upgrade I can't edit themes any more. All I get so see is

    Fatal error: Call to undefined function token_get_all() in /home/www/justmck.dunkelfels.de/htdocs/wp-admin/includes/misc.php on line 273

    Anyone here knows advice?

    Thanks

  2. Nadeem73
    Member
    Posted 5 years ago #

    Try changing your theme to the deafult wp theme if you can and see if you can then edit.

    If you can edit the deafult theme this means the theme you have has some issue with 2.8 if you can't even edit the default one then you could either reinstall 2.8 or downaload and manually upload files from tools > upgrades.

    Or a plugin maybe casuing the issue so you could deactivate all the plugins see if that fixes issue if it does enable each one at a time until the problem reappearas and it will be the last plugin you activated which is casuing the issue.

  3. justmck
    Member
    Posted 5 years ago #

    I have this problem with all templates, default also.
    No plugins are activated.
    Meanwhile I found out a friend has the same problem.

  4. bh_WP_fan
    Member
    Posted 5 years ago #

    Do the upgrade again manually, it should fix the call to undefined function.

  5. Gannon Design
    Member
    Posted 5 years ago #

    I did all of the above suggested fixes and nothing has worked, I have reinstalled three times manually through 2 different computers. No themes work. I have deleted all plug-ins entirely. I have reinstalled through the upgrade under tools, still no fix. Any suggestions?

    Only way around this is if you have dreamweaver (or comparable editor). Edit your pages through there, seems to work just take a bit longer for the preview.

  6. haleyo
    Member
    Posted 5 years ago #

    I've completely lost my theme with the 2.8 automatic upgrade. I've disabled all the plugins and everything. This totally sucks. Thanks.

  7. haleyo
    Member
    Posted 5 years ago #

    by the way, this is for the blog http://blogs.btrendie.com

  8. kitsunesniper
    Member
    Posted 5 years ago #

    Having the same issue. I usually edit my pages in Notepad++ anyway, but this is really strange. I ran the upgrade just fine, so what's going on?

  9. BigDaddyCool
    Member
    Posted 5 years ago #

    I went to edit my theme for the first time after upgrading, and in most of the files this is what I was greeted with:

    vti_encoding:SR|utf8-nl
    vti_timelastmodified:TR|06 Mar 2009 02:11:16 -0000
    vti_extenderversion:SR|5.0.2.4803
    vti_cacheddtm:TX|03 Jan 2009 02:28:24 -0000
    vti_filesize:IR|538
    vti_backlinkinfo:VX|

    The only code that remains normal are found in my style.css, feedburner.php, sidebar1.php and archive.php files for the theme I'm using. Everything else is that code I posted above. The blog still works, I just can't make any changes to it.

    I'm hoping that WordPress comes up with some kind of fix for this...soon!!!

  10. BigDaddyCool
    Member
    Posted 5 years ago #

    Well like kitsunesniper I've had to resort to editing the files in Notepad. Luckily I have a FTP program which allows me to download or upload from my blog. I downloaded the files I work with the most from my theme, and found I was able to edit them in Notepad and then upload them back to the blog.

    Hopefully WordPress will be able to fix what I consider to be a bug because it gets tedious this way.

  11. wilzdezign
    Member
    Posted 5 years ago #

    Main Support topic is on wordpress.org/support/topic/277659

    This is an with tokenizer with the latest 2.8

    Fatal error: Call to undefined function token_get_all() in /var/www/[wordpress-site]/htdocs/wp-admin/includes/misc.php on line 273

Topic Closed

This topic has been closed to new replies.

About this Topic